import { Action, combineReducers } from 'redux';
import { routerReducer, RouterState } from 'react-router-redux';

import * as Member from 'member';

export interface State {
  member: Member.State;
  router: RouterState;
}

export const reducer = combineReducers<State>({
  member: Member.reducer,
  router: routerReducer,
});
