import { Action, combineReducers } from 'redux';
import IModule from 'commons/redux/Module';

import * as signin from './signin';
import * as signout from './signout';
import * as signup from './signup';

export interface State {
  signin: signin.State;
  signout: signin.State;
  signup: signin.State;
}

export const reducer = combineReducers<State>({
  signin: signin.reducer,
  signout: signout.reducer,
  signup: signup.reducer,
});
