import { takeLatest, SagaIterator } from 'redux-saga';
import { call, put } from 'redux-saga/effects';

import Action from 'commons/redux/Action';

import Member from 'member/api/model/Member';
import actions from '../action';
import actionTypes from '../action/type';
import SigninPayload from '../payload/SigninPayload';

export function* signin(action: Action<SigninPayload>): SagaIterator {
  try {
    const {signinId, signinPw} = action.payload;
    // yield put({
    //   type: types.SENDING_REQUEST,
    //   payload: {sendingRequest: true},
    // });

    // const responseBody = yield call(api.login, signinId, signinPw);

    // if (responseBody.token === undefined) {
    //   throw new Error(MESSAGES.UNABLE_TO_FIND_TOKEN_IN_LOGIN_RESPONSE);
    // }
    let member: Member = {
      email: 'crusader@loafle.com',
      name: 'crusader',
      phone: '02-900-9000',
      companyName: 'LOAFLE',
    };
    yield put(actions.requestSuccess(member));
  } catch (e) {
    yield put(actions.requestFailure(e));
  } finally {
    // yield put({
    //   type: types.SENDING_REQUEST,
    //   payload: {sendingRequest: false},
    // });
  }
}

export function* watchSignin(): any {
  yield takeLatest(actionTypes.REQUEST, signin);
}
